org.multiverse.stms.gamma.transactionalobjects

## Class Tranlocal<E>

- java.lang.Object
- - org.multiverse.stms.gamma.transactionalobjects.Tranlocal<E>

All Implemented Interfaces:
  MultiverseConstants, GammaConstants

    public final class Tranlocal<E>
    extends java.lang.Object
    implements GammaConstants

### Field Summary

Fields
`boolean` `hasDepartObligation`
`CallableNode` `headCallable`
`boolean` `isDirty`
`int` `lockMode`
`long` `long_oldValue`
`long` `long_value`
`int` `mode`
`Tranlocal` `next`
`BaseGammaTxnRef` `owner`
`Tranlocal` `previous`
`E` `ref_oldValue`
`E` `ref_value`
`long` `version`
`boolean` `writeSkewCheck`

### Fields inherited from interface org.multiverse.stms.gamma.GammaConstants

`FAILURE, MASK_CONFLICT, MASK_SUCCESS, MASK_UNREGISTERED, REGISTRATION_DONE, REGISTRATION_NONE, REGISTRATION_NOT_NEEDED, TRANLOCAL_COMMUTING, TRANLOCAL_CONSTRUCTING, TRANLOCAL_READ, TRANLOCAL_WRITE, TRANSACTIONTYPE_FAT_FIXED_LENGTH, TRANSACTIONTYPE_FAT_MONO, TRANSACTIONTYPE_FAT_VARIABLE_LENGTH, TRANSACTIONTYPE_LEAN_FIXED_LENGTH, TRANSACTIONTYPE_LEAN_MONO, TX_ABORTED, TX_ACTIVE, TX_COMMITTED, TX_PREPARED, TYPE_BOOLEAN, TYPE_DOUBLE, TYPE_INT, TYPE_LONG, TYPE_REF, VERSION_UNCOMMITTED`

### Fields inherited from interface org.multiverse.MultiverseConstants

`LOCKMODE_EXCLUSIVE, LOCKMODE_NONE, LOCKMODE_READ, LOCKMODE_WRITE, SHAKE_BUGS, SPIN_YIELD, TRACING_ENABLED`

### Constructor Summary

Constructors
Constructor and Description
`Tranlocal()`

### Method Summary

Methods
`void` `addCommutingFunction(GammaObjectPool pool, Function function)`
`int` `getLockMode()`
`int` `getMode()`
`boolean` `hasDepartObligation()`
`boolean` `isCommuting()`
`boolean` `isConflictCheckNeeded()`
`boolean` `isConstructing()`
`boolean` `isDirty()`
`boolean` `isRead()`
`boolean` `isWrite()`
`void` `setDepartObligation(boolean b)`
`void` `setDirty(boolean dirty)`
`void` `setLockMode(int lockMode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ref_value

    public E ref_value

#### version

    public long version

#### lockMode

    public int lockMode

#### owner

    public BaseGammaTxnRef owner

#### mode

    public int mode

#### hasDepartObligation

    public boolean hasDepartObligation

#### isDirty

    public boolean isDirty

#### next

    public Tranlocal next

#### previous

    public Tranlocal previous

#### headCallable

    public CallableNode headCallable

#### writeSkewCheck

    public boolean writeSkewCheck

#### long_oldValue

    public long long_oldValue

#### ref_oldValue

    public E ref_oldValue

#### long_value

    public long long_value

### Constructor Detail

#### Tranlocal

    public Tranlocal()

### Method Detail

#### isDirty

    public boolean isDirty()

#### setDirty

    public void setDirty(boolean dirty)

#### getLockMode

    public int getLockMode()

#### setLockMode

    public void setLockMode(int lockMode)

#### hasDepartObligation

    public boolean hasDepartObligation()

#### setDepartObligation

    public void setDepartObligation(boolean b)

#### isCommuting

    public boolean isCommuting()

#### isConstructing

    public boolean isConstructing()

#### isRead

    public boolean isRead()

#### isWrite

    public boolean isWrite()

#### addCommutingFunction

    public void addCommutingFunction(GammaObjectPool pool,
                            Function function)

#### getMode

    public int getMode()

#### isConflictCheckNeeded

    public boolean isConflictCheckNeeded()